Bug 58202

Summary: apxs -q += HTTPD_MAJOR , HTTPD_MMN variables
Product: Apache httpd-2 Reporter: Daniel Shahaf <danielsh>
Component: supportAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED FIXED    
Severity: enhancement CC: danielsh
Priority: P2 Keywords: FixedInTrunk, PatchAvailable
Version: 2.5-HEAD   
Target Milestone: ---   
Hardware: All   
OS: All   
Attachments: patch, v1

Description Daniel Shahaf 2015-07-31 23:21:54 UTC
Created attachment 32950 [details]
patch, v1

Teach 'apxs -q' to print the MAJOR.MINOR.PATCH and MMN of the build.

Subversion's configure would have used this if it existed.  (It doesn't, so we used an alternative approach.)
Comment 1 Daniel Shahaf 2015-07-31 23:23:40 UTC
I suppose there's a bikeshed to be painted here: whether MAJOR.MINOR.PATCH should be exposed as a triplet, as three individual parameters, or both.
Comment 2 Eric Covener 2015-08-03 16:53:46 UTC
Thanks -- committed in r1693919 and proposed for backport.
Comment 3 Christophe JAILLET 2015-10-25 05:47:47 UTC
This is in 2.4.17